import Link from "next/link"
import { Button } from "@/components/ui/button"

export default function Header() {
  return (
    <header className="border-b">
      <div className="container mx-auto flex h-16 items-center justify-between px-4">
        <div className="flex items-center gap-6">
          <Link href="/" className="flex items-center">
            <span className="text-xl font-bold text-black">TASK DO</span>
            <div className="ml-1 h-2 w-2 rounded-full bg-red-500"></div>
          </Link>
          <nav className="hidden md:flex gap-6">
            <Link href="/tasks/new" className="text-sm font-medium">
              Создать задание
            </Link>
            <Link href="/tasks" className="text-sm font-medium">
              Найти задания
            </Link>
          </nav>
        </div>
        <Button variant="outline" size="sm" asChild>
          <Link href="/login">Войти</Link>
        </Button>
      </div>
    </header>
  )
}
